Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Sat, 22 Mar 2014 18:36:07 +0000

Juanma Barranquero writes:
 > On Sat, Mar 22, 2014 at 5:28 PM, Robert Marshall <[email-masked]> wrote:
 > 
 > > I'm rather confused as to what I'm being asked to do!
 > 
 > FWIW, I'm rather confused too... ;-)
 > 

That's a relief!

> > I think before I
 > > start doing to sequence of tests you've requested I need to get an
 > > emacs which is showing a bad frame? At the moment I'm unable to
 > > replicate this - if this isn't so let me know!
 > 
 > Yes. If you restart your Emacs and get a bad frame, do not exit Emacs!
 > Immediately open the desktop file and get hold of the (setq
 > desktop-saved-frameset ...) line and save it in a safe place :-)
 > 
 > Then you can replace the equivalent line in my bug17046.el file with
 > yours, exit Emacs, and do the tests requested at your leisure.
 > 
 > The tests would be:
 > 
 > 1) emacs -Q -l bug17046.el
 > 2) Same, but replacing the ":force-onscreen t" by ":force-onscreen nil"
 > 3) As 1), but insert  (sit-for 0) at the top of bug17046.el before the test
 > 4) As 2), but with (sit-for 0) also, as in 3)
 > 
 >      J
 > 

I've run these tests (and I kept the buggy frame emacs around while I
did so and I still have it, would attaching gdb to it give you anything
useful?) in this case the frame was displaying neither the decorations
nor the minibuffer

In all 4 cases I'm afraid the bug did *not* appear - I assume this is
what I was meant to look for with just a visual check. I also compared the
emacs frame with the buggy one (maybe you already realise this) and by
aligning the top of the menubar in each frame the buggy frame stops
just at the point where the buffer modeline should appear, looking
carefully I can just see the tops of the characters on the next line
of WikipediaApplet.cpp

Maybe I should add that in all cases (since I first saw the bug) I've
been running emacs from its build directory - so for me ~/emacs-bzr/src/emacs
(rather than installing it in /usr/local/bin)

I had the following lines at the head of bug17046.el

(sit-for 0) ;; commented out as required
(find-file "~/.emacs")
(find-file "/home/robert/devel/amarok/src/context/applets/wikipedia/WikipediaApplet.cpp")

(setq desktop-saved-frameset [frameset 1 (21293 48118 633382 956000) (desktop . "206") "robert@poulenc" nil nil ((((font-backend xft x) (font . "-unknown-Inconsolata-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1") (font-parameter . "Inconsolata-12") (border-width . 0) (internal-border-width . 0) (right-divider-width . 0) (bottom-divider-width . 0) (vertical-scroll-bars . right) (foreground-color . "DarkOrchid1") (background-color . "mint cream") (mouse-color . "#221f1e") (border-color . "black") (screen-gamma) (line-spacing) (left-fringe . 8) (right-fringe . 8) (scroll-bar-foreground . "#221f1e") (scroll-bar-background . "grey75") (menu-bar-lines . 1) (tool-bar-lines . 1) (title) (wait-for-wm . t) (fullscreen) (tool-bar-position . top) (icon-type . t) (auto-raise) (auto-lower) (cursor-type . box) (scroll-bar-width . 16) (alpha . 90) (horizontal-scroll-bars . t) (display-type . color) (background-mode . light) (cursor-color . "#221f1e") (sticky) (environment) (maximized) (frameset--id . "C8B6-55AF-6CE3-E1B1") (frameset--mini t . t) (modeline . t) (minibuffer . t) (unsplittable) (icon-name) (visibility . t) (display . ":0") (explicit-name) (height . 34) (width . 120) (left . 590) (top . 94)) ((min-height . 8) (min-width . 10) (min-height-ignore . 4) (min-width-ignore . 6) (min-height-safe . 2) (min-width-safe . 2) (min-pixel-height . 144) (min-pixel-width . 80) (min-pixel-height-ignore . 72) (min-pixel-width-ignore . 48) (min-pixel-height-safe . 36) (min-pixel-width-safe . 16)) vc (pixel-width . 992) (pixel-height . 594) (total-width . 124) (total-height . 33) (normal-height . 1.0) (normal-width . 1.0) (combination-limit) (leaf (pixel-width . 992) (pixel-height . 292) (total-width . 124) (total-height . 16) (normal-height . 0.5) (normal-width . 1.0) (buffer ".emacs" (selected . t) (hscroll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars 16 2 t nil) (vscroll . 0) (dedicated) (point . 2818) (start . 2727))) (leaf (last . t) (pixel-width . 992) (pixel-height . 302) (total-width . 124) (total-height . 17) (normal-height . 0.5) (normal-width . 1.0) (buffer "WikipediaApplet.cpp" (selected) (hscroll . 0) (fringes 8 8 nil) (margins nil) (scroll-bars 16 2 t nil) (vscroll . 0) (dedicated) (point . 28638) (start . 28492)))))])

and ran

~/emacs-bzr/src/emacs -Q --no-site-file -l /home/robert/bug17046.el

Robert
-- 
Robert Marshall